### Virtual Method

# Gtk TreeModel iter_n_children

deprecated: 4.10

#### Declaration [src]

    int
    iter_n_children (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Returns the number of children that `iter` has.

As a special case, if `iter` is `NULL`, then the number of toplevel nodes is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The `GtkTreeIter`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `int`

The number of children of `iter`.